use std::path::PathBuf;
use std::process::Command;

fn main() {
    let echoer = PathBuf::from("./tests/fixtures/echoer");
    let mut echoer_src = echoer.clone();
    echoer_src.set_extension("rs");
    Command::new("rustc")
        .args(&[echoer_src.to_str().unwrap(), "-o", echoer.to_str().unwrap()])
        .status()
        .unwrap();
    println!("cargo:rerun-if-changed={}", echoer_src.display());
    println!("cargo:rerun-if-changed={}", echoer.display());
}
