#!/bin/bash
set -e
source $(dirname $0)/rootdir.sh #set ROOTDIR
DOCKER_IF_IP=$(ip address show docker0 | grep "inet " | awk '{print $2}' | cut -d'/' -f1)
docker run \
    --rm \
    -d \
    -v $ROOTDIR/target/x86_64-unknown-linux-musl/debug/u_agent:/u_agent \
    centos:7 \
    /u_agent $DOCKER_IF_IP
